Bug 1000715 - TypeError: Argument 2 does not allow None as a value
TypeError: Argument 2 does not allow None as a value
Status: CLOSED CURRENTRELEASE
Product: Fedora
Classification: Fedora
Component: anaconda (Show other bugs)
20
x86_64 Unspecified
unspecified Severity unspecified
: ---
: ---
Assigned To: Vratislav Podzimek
Fedora Extras Quality Assurance
abrt_hash:843e6ae45525e6211640fb032ed...
:
: 1001888 1002270 (view as bug list)
Depends On:
Blocks: F20AlphaBlocker 994180
  Show dependency treegraph
 
Reported: 2013-08-24 10:04 EDT by Steve Tyler
Modified: 2015-05-29 08:46 EDT (History)
20 users (show)

See Also:
Fixed In Version: anaconda-20.10-1
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2015-05-29 08:46:52 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
File: anaconda-tb [20.7-1] (186.89 KB, text/plain)
2013-08-24 10:05 EDT, Steve Tyler
no flags Details
File: anaconda.log (2.96 KB, text/plain)
2013-08-24 10:05 EDT, Steve Tyler
no flags Details
File: environ (461 bytes, text/plain)
2013-08-24 10:05 EDT, Steve Tyler
no flags Details
File: lsblk_output (2.23 KB, text/plain)
2013-08-24 10:05 EDT, Steve Tyler
no flags Details
File: nmcli_dev_list (480 bytes, text/plain)
2013-08-24 10:05 EDT, Steve Tyler
no flags Details
File: os_info (281 bytes, text/plain)
2013-08-24 10:05 EDT, Steve Tyler
no flags Details
File: program.log (31.42 KB, text/plain)
2013-08-24 10:05 EDT, Steve Tyler
no flags Details
File: storage.log (141.60 KB, text/plain)
2013-08-24 10:05 EDT, Steve Tyler
no flags Details
File: ifcfg.log (486 bytes, text/plain)
2013-08-24 10:05 EDT, Steve Tyler
no flags Details
[20.8-1, es_AR.UTF-8] anaconda-tb-Mb9oIT (106.29 KB, text/plain)
2013-08-26 14:20 EDT, Steve Tyler
no flags Details
anaconda stack dump - CA Locale detected - crash (155.47 KB, text/plain)
2013-08-28 15:05 EDT, Shawn Starr
no flags Details

  None (edit)
Description Steve Tyler 2013-08-24 10:04:57 EDT
Description of problem:
Attempt to start installer from Live image with:
$ liveinst
This exception occurs before the Welcome dialog is displayed.

Version-Release number of selected component:
anaconda-20.7-1.fc20.x86_64

The following was filed automatically by anaconda:
anaconda 20.7-1 exception report
Traceback (most recent call first):
  File "/usr/lib64/python2.7/site-packages/pyanaconda/ui/gui/spokes/welcome.py", line 177, in initialize
    itr = store.convert_iter_to_child_iter(itr)
  File "/usr/lib64/python2.7/site-packages/pyanaconda/ui/gui/__init__.py", line 353, in run
    self._currentAction.initialize()
  File "/sbin/anaconda", line 1085, in <module>
    anaconda._intf.run()
TypeError: Argument 2 does not allow None as a value

Additional info:
cmdline:        /usr/bin/python  /sbin/anaconda --liveinst --method=livecd:///dev/mapper/live-osimg-min --lang en_GB.utf8
cmdline_file:   initrd=initrd0.img root=live:CDLABEL=Fedora-20-Nightly-x86_64-Live-de rootfstype=auto ro rd.live.image quiet  rhgb rd.luks=0 rd.md=0 rd.dm=0  BOOT_IMAGE=vmlinuz0 
executable:     /sbin/anaconda
hashmarkername: anaconda
kernel:         3.11.0-0.rc6.git2.1.fc20.x86_64
product:        Fedora
release:        Fedora release 20 (Null)
type:           anaconda
version:        20
Comment 1 Steve Tyler 2013-08-24 10:05:02 EDT
Created attachment 789858 [details]
File: anaconda-tb [20.7-1]
Comment 2 Steve Tyler 2013-08-24 10:05:05 EDT
Created attachment 789859 [details]
File: anaconda.log
Comment 3 Steve Tyler 2013-08-24 10:05:09 EDT
Created attachment 789860 [details]
File: environ
Comment 4 Steve Tyler 2013-08-24 10:05:12 EDT
Created attachment 789861 [details]
File: lsblk_output
Comment 5 Steve Tyler 2013-08-24 10:05:16 EDT
Created attachment 789862 [details]
File: nmcli_dev_list
Comment 6 Steve Tyler 2013-08-24 10:05:20 EDT
Created attachment 789863 [details]
File: os_info
Comment 7 Steve Tyler 2013-08-24 10:05:24 EDT
Created attachment 789864 [details]
File: program.log
Comment 8 Steve Tyler 2013-08-24 10:05:27 EDT
Created attachment 789865 [details]
File: storage.log
Comment 9 Steve Tyler 2013-08-24 10:05:31 EDT
Created attachment 789866 [details]
File: ifcfg.log
Comment 10 Steve Tyler 2013-08-24 10:14:17 EDT
Before starting the installer, I configured the language and keyboard to be English (UK) using Gnome control center.

$ qemu-kvm -m 4096 -hda f19-test-3.img -cdrom ~/xfr/fedora/nightly-composes/Fedora-20-Nightly-x86_64-Live-desktop-20130823.10-1.iso -vga std -boot menu=on
Comment 11 Steve Tyler 2013-08-24 10:24:22 EDT
Update anaconda and python-blivet.
Start installer with:
$ liveinst

cmdline:        /usr/bin/python  /sbin/anaconda --liveinst --method=livecd:///dev/mapper/live-osimg-min --lang en_GB.utf8
cmdline_file:   initrd=initrd0.img root=live:CDLABEL=Fedora-20-Nightly-x86_64-Live-de rootfstype=auto ro rd.live.image quiet  rhgb rd.luks=0 rd.md=0 rd.dm=0  BOOT_IMAGE=vmlinuz0 
hashmarkername: anaconda
kernel:         3.11.0-0.rc6.git2.1.fc20.x86_64
package:        anaconda-20.8-1.fc20.x86_64
packaging.log:  
product:        Fedora
reason:         TypeError: Argument 2 does not allow None as a value
release:        Fedora release 20 (Null)
version:        20
Comment 12 Steve Tyler 2013-08-24 11:06:47 EDT
Attempt to reproduce Bug 1000715.

cmdline:        /usr/bin/python  /sbin/anaconda --liveinst --method=livecd:///dev/mapper/live-osimg-min --lang en_GB.utf8
cmdline_file:   initrd=initrd0.img root=live:CDLABEL=Fedora-20-Nightly-x86_64-Live-de rootfstype=auto ro rd.live.image quiet  rhgb rd.luks=0 rd.md=0 rd.dm=0  BOOT_IMAGE=vmlinuz0 
hashmarkername: anaconda
kernel:         3.11.0-0.rc6.git2.1.fc20.x86_64
package:        anaconda-20.8-1.fc20.x86_64
packaging.log:  
product:        Fedora
reason:         TypeError: Argument 2 does not allow None as a value
release:        Fedora release 20 (Null)
version:        20
Comment 13 Steve Tyler 2013-08-24 11:08:25 EDT
(In reply to Steve Tyler from comment #12)
> Attempt to reproduce Bug 1000715.
...

Start Live image:
$ qemu-kvm -m 4096 -hda f19-test-3.img -cdrom ~/xfr/fedora/nightly-composes/Fedora-20-Nightly-x86_64-Live-desktop-20130823.10-1.iso -vga std -boot menu=on

Close Welcome/Install dialog.
Open terminal.
$ sudo yum update anaconda python-blivet --nogpg -y
  (Updates to anaconda-20.8-1, python-blivet-0.20-1.)

Start Gnome control center from tools menu item.
Click Region & Language.
Click Language.
Click English (United Kingdom)
Click Done.
Click Restart Now. (This means restart Gnome, not the system.)
Click Log Out.
Login as Live System User.
Close Welcome/Install dialog.

Start Gnome control center from tools menu item.
Click Region & Language.
Click "+" to add input source.
Click English (United Kingdom).
Click English (UK).
Click Add.
Click "+" to add input source.
Click English (United States).
Click English (US).
Click Add.
Close Gnome control center.

Click Install to Hard Drive icon.
After a delay of about 40 seconds, the "An unknown error has occurred" dialog is displayed.
The exception is:
TypeError: Argument 2 does not allow None as a value
Comment 14 Steve Tyler 2013-08-24 11:19:19 EDT
Since the Welcome dialog with the languages menu is never displayed, this is an Alpha blocker under this release criterion:
"The installer must run when launched normally from the release-blocking images."
https://fedoraproject.org/wiki/Fedora_20_Alpha_Release_Criteria#Installer_must_run
Comment 15 Reartes Guillermo 2013-08-26 08:22:49 EDT
If the kvm guest is connected to the internet, this 'unknown error' happens.

But if there is no internet (a private network) then the Welcome Screen works ok (english).

So i don't known if it is argentina specific or not.

cmdline:        /usr/bin/python  /sbin/anaconda
cmdline_file:   initrd=initrd.img inst.stage2=hd:LABEL=Fedora\x2020-Alpha-TC1\x20x86_64 quiet BOOT_IMAGE=vmlinuz 
hashmarkername: anaconda
kernel:         3.11.0-0.rc6.git4.1.fc20.x86_64
package:        anaconda-20.8-1
product:        Fedora
reason:         TypeError: Argument 2 does not allow None as a value
release:        Cannot get release name.
version:        20-Alpha-TC1
Comment 16 Steve Tyler 2013-08-26 11:47:04 EDT
Attempt to reproduce Bug 1000715 by changing the desktop language from the Region & Language dialog and restarting the desktop session before starting the installer.

cmdline:        /usr/bin/python  /sbin/anaconda --liveinst --method=livecd:///dev/mapper/live-osimg-min --lang en_GB.utf8
cmdline_file:   initrd=initrd0.img root=live:CDLABEL=Fedora-Live-Desktop-x86_64-20-Al rootfstype=auto ro rd.live.image quiet  rhgb rd.luks=0 rd.md=0 rd.dm=0  BOOT_IMAGE=vmlinuz0 
hashmarkername: anaconda
kernel:         3.11.0-0.rc6.git4.1.fc20.x86_64
package:        anaconda-20.8-1.fc20.x86_64
packaging.log:  
product:        Fedora
reason:         TypeError: Argument 2 does not allow None as a value
release:        Fedora release 20 (Null)
version:        20
Comment 17 Steve Tyler 2013-08-26 11:49:11 EDT
(In reply to Steve Tyler from comment #16)
> Attempt to reproduce Bug 1000715 by changing the desktop language from the
> Region & Language dialog and restarting the desktop session before starting
> the installer.
...

Tested with:
$ qemu-kvm -m 4096 -hda f20-test-3.img -cdrom ~/xfr/fedora/F20/Alpha/Fedora-Live-Desktop-x86_64-20-Alpha-TC1-1.iso -vga std -boot menu=on
Comment 18 Steve Tyler 2013-08-26 11:57:25 EDT
The attached anaconda-tb shows that the locale is incorrect. The locale should be en_GB.UTF-8 (which the kernel command-line shows as en_GB.utf8):

...
Local variables in innermost frame:
locale: zu_ZA.UTF-8
...

zu_ZA.utf8 is the last locale in the list here:

$ localectl list-locales | tail -1
zu_ZA.utf8
Comment 19 Steve Tyler 2013-08-26 12:04:12 EDT
(In reply to Reartes Guillermo from comment #15)
> If the kvm guest is connected to the internet, this 'unknown error' happens.
> 
> But if there is no internet (a private network) then the Welcome Screen
> works ok (english).
> 
> So i don't known if it is argentina specific or not.
...

What happens with the Live image?
Comment 20 Steve Tyler 2013-08-26 14:20:54 EDT
Created attachment 790649 [details]
[20.8-1, es_AR.UTF-8] anaconda-tb-Mb9oIT

Set language to Español (Argentina) in Live environment, restart desktop session, start installer.

With Español (España), the installer starts normally.

Tested with:
$ qemu-kvm -m 4096 -hda f20-test-3.img -cdrom ~/xfr/fedora/F20/Alpha/Fedora-Live-Desktop-x86_64-20-Alpha-TC1-1.iso -vga std -boot menu=on
Comment 21 Steve Tyler 2013-08-26 14:33:53 EDT
(In reply to Reartes Guillermo from comment #15)
> If the kvm guest is connected to the internet, this 'unknown error' happens.
> 
> But if there is no internet (a private network) then the Welcome Screen
> works ok (english).
> 
> So i don't known if it is argentina specific or not.
...

Could you attach the anaconda-tb* file? It could be that geolocation is setting your locale to es_AR.UTF-8 when the network is connected. As noted in Comment 20, the installer crashes with es_AR.UTF-8 in the Live environment.

NB: There is some geolocation logging in anaconda.log.
Comment 22 Shawn Starr 2013-08-27 22:37:54 EDT
Used boot.iso with TC1 Fedora 20, fails to start Anaconda graphical installer part.

cmdline:        /usr/bin/python  /sbin/anaconda
cmdline_file:   initrd=initrd.img inst.stage2=hd:LABEL=Fedora\x2020-Alpha-TC1\x20x86_64 quiet BOOT_IMAGE=vmlinuz 
hashmarkername: anaconda
kernel:         3.11.0-0.rc6.git4.1.fc20.x86_64
package:        anaconda-20.8-1
product:        Fedora
reason:         TypeError: Argument 2 does not allow None as a value
release:        Cannot get release name.
version:        20-Alpha-TC1
Comment 23 Shawn Starr 2013-08-27 22:39:30 EDT
IGNORE the above: Anaconda does not start even the bug reporter thinks this is duplicate but I have another bug logged with this subject :/
Comment 24 Shawn Starr 2013-08-27 22:41:14 EDT
Duplicate of #995268 ? unsure, someone can make that call
Comment 25 Shawn Starr 2013-08-28 00:18:17 EDT
<handsome_pirate> spstarr:  Check /etc/hostname
<handsome_pirate> spstarr:  There's a bug floating around where it's totally missing
<spstarr> I set dnsmasq dhcp to use DNS from my dns server it got hostname
<spstarr> no failure
<spstarr> handsome_pirate: you are right on

It is duplicate, closing bug #995268
Comment 26 Shawn Starr 2013-08-28 00:20:07 EDT
*** Bug 995268 has been marked as a duplicate of this bug. ***
Comment 27 John Dulaney 2013-08-28 00:24:27 EDT
*** Bug 1001888 has been marked as a duplicate of this bug. ***
Comment 28 John Dulaney 2013-08-28 00:27:40 EDT
Bug is a result of missing /etc/hostname.

Paul Whalen also hit this bug on arm, searching I cannot find if he opened a bug.

Added what I believe to be his email address to the CC list.
Comment 29 Steve Tyler 2013-08-28 00:58:08 EDT
(In reply to John Dulaney from comment #28)
> Bug is a result of missing /etc/hostname.
> 
> Paul Whalen also hit this bug on arm, searching I cannot find if he opened a
> bug.
> 
> Added what I believe to be his email address to the CC list.

Could you attach installer logs from /tmp/ in the install environment or from /var/log/anaconda/ on the installed system?
(If you have an anaconda-tb* file, that is the only one needed.)
Comment 30 Nix\ 2013-08-28 01:55:46 EDT
1.Start LiveCD Fedora 20 TC1 KDE.
2.Open a Konsole terminal, type su, LANG=C liveinst, error.

Is not possible install F20 tc1 because after press -accept my destiny- anaconda crashes

cmdline:        /usr/bin/python  /sbin/anaconda --liveinst --method=livecd:///dev/mapper/live-osimg-min --lang C
cmdline_file:   initrd=initrd0.img root=live:CDLABEL=Fedora-Live-KDE-i686-20-Alpha-TC rootfstype=auto ro rd.live.image quiet  rhgb rd.luks=0 rd.md=0 rd.dm=0  BOOT_IMAGE=vmlinuz0 
hashmarkername: anaconda
kernel:         3.11.0-0.rc6.git4.1.fc20.i686
package:        anaconda-20.8-1.fc20.i686
packaging.log:  
product:        Fedora
reason:         TypeError: Argument 2 does not allow None as a value
release:        Fedora release 20 (Null)
version:        20
Comment 31 Nix\ 2013-08-28 02:00:20 EDT
(In reply to John Dulaney from comment #28)
> Bug is a result of missing /etc/hostname.
> 
> Paul Whalen also hit this bug on arm, searching I cannot find if he opened a
> bug.
> 
> Added what I believe to be his email address to the CC list.

Adding a /etc/hostname with a name, like localhost, the bug still.
Comment 32 Nix\ 2013-08-28 02:04:11 EDT
If liveinst is executed as a normal user, non-root, anaconda no crash, but crash later with "I accept my fate" button is pressed. And i can't install F20 TC1
Comment 33 Paul Whalen 2013-08-28 09:56:57 EDT
When testing the ARM images I ran into something similar, initial-setup-graphical.service did not launch as expected and the system launched to a login screen. When checking initial-setup-graphical.service:

Aug 27 13:20:34 localhost xinit[269]: File /usr/lib/python2.7/site-packages/pyanaconda/ui/gui/spokes/network.py, line 1084, in hostname
Aug 27 13:20:34 localhost xinit[269]: self.entry_hostname.set_text(value)
Aug 27 13:20:34 localhost xinit[269]: TypeError: Argument 1 does not allow None as a value

Creating '/etc/hostname' did not fix this, the system locked up during boot.
Comment 34 Kamil Páral 2013-08-28 13:10:03 EDT
Discussed at 2013-08-28 blocker review meeting [1]. This is accepted as an Alpha blocker, because it violates the following F20 alpha release criteria for installs using a non-en-us keyboard: "The installer must run when launched normally from the release-blocking images." [2]

[1] http://meetbot.fedoraproject.org/fedora-blocker-review/2013-08-28/
[2] https://fedoraproject.org/wiki/Fedora_20_Alpha_Release_Criteria#Installer_must_run
Comment 35 Steve Tyler 2013-08-28 13:42:52 EDT
16:48:40 <kparal> once again, this crash occurs if you run liveinst with other than en_US locale[1]

Not exactly. There is no crash with some locales (Comment 20). Try:
$ LANG=es_ES.UTF-8 liveinst

You may also need to take into account what geolocation is doing.
Geolocation supposedly can be disabled with:[2]
inst.geoloc=0

In a test, that didn't appear to have any effect -- anaconda.log still shows geolocation messages.[3]

[1] http://meetbot.fedoraproject.org/fedora-blocker-review/2013-08-28/
[2] https://git.fedorahosted.org/cgit/anaconda.git/tree/docs/boot-options.txt#n207
[3] Tested with:
$ qemu-kvm -m 4096 -hda f20-test-3.img -cdrom ~/xfr/fedora/F20/Alpha/Fedora-Live-Desktop-x86_64-20-Alpha-TC1-1.iso -vga std -boot menu=on
Comment 36 Nathanael Noblet 2013-08-28 14:11:11 EDT
I should note I've received this message using the netinstall image.
Comment 37 Shawn Starr 2013-08-28 14:36:50 EDT
Start boot.iso OR use PXE boot, fails on bootup trying to figure out what locale to set.

cmdline:        /usr/bin/python  /sbin/anaconda
cmdline_file:   initrd=initrd.img inst.stage2=hd:LABEL=Fedora\x2020-Alpha-TC1\x20x86_64 quiet BOOT_IMAGE=vmlinuz 
hashmarkername: anaconda
kernel:         3.11.0-0.rc6.git4.1.fc20.x86_64
package:        anaconda-20.8-1
product:        Fedora
reason:         TypeError: Argument 2 does not allow None as a value
release:        Cannot get release name.
version:        20-Alpha-TC1
Comment 38 Steve Tyler 2013-08-28 15:01:11 EDT
(In reply to Shawn Starr from comment #37)
> Start boot.iso OR use PXE boot, fails on bootup trying to figure out what
> locale to set.
...

Could you attach /tmp/anaconda-tb for this?
Comment 39 Shawn Starr 2013-08-28 15:04:20 EDT
This is locale - I've been confused by two bugs with same title attached are my tracebacks which in this case, do find locale but fail to set it.
Comment 40 Shawn Starr 2013-08-28 15:05:11 EDT
Created attachment 791512 [details]
anaconda stack dump - CA Locale detected - crash

anaconda stack dump - CA Locale detected - crash
Comment 41 Shawn Starr 2013-08-28 15:06:22 EDT
*** Bug 1002270 has been marked as a duplicate of this bug. ***
Comment 42 Jens Petersen 2013-08-29 05:05:01 EDT
Started anaconda with askmethod and tried to enter Source spoke

cmdline:        /usr/bin/python  /sbin/anaconda
cmdline_file:   initrd=initrd.img inst.stage2=hd:LABEL=Fedora\x2020-Alpha-TC2\x20x86_64 quiet askmethod BOOT_IMAGE=vmlinuz 
hashmarkername: anaconda
kernel:         3.11.0-0.rc7.git0.1.fc20.x86_64
package:        anaconda-20.9-1
product:        Fedora
reason:         AttributeError: 'NoneType' object has no attribute 'startswith'
release:        Cannot get release name.
version:        20-Alpha-TC2
Comment 43 Shawn Starr 2013-08-29 07:46:36 EDT
You may workaround this issue for boot.iso/netinst, PXE, LiveCD, DVD installations by appending 'geoloc=0' to your grub/boot options, this will disable the GeoIP location done until we have this fixed.
Comment 44 Shawn Starr 2013-08-29 08:13:00 EDT
Of note, libreport in Anaconda will associate all of the various crashes with the same subject line EVEN though the stack trace is different!
Comment 45 Vratislav Podzimek 2013-08-29 08:27:27 EDT
Patch posted to anaconda-patches.
Comment 46 Shawn Starr 2013-08-29 13:07:11 EDT
Vratislav,

https://lists.fedorahosted.org/pipermail/anaconda-patches/2013-August/005613.html

This worked for me:

anaconda.log shows:

Failed to select requested language en_CA.UTF-8 using the default en_US.UTF-8 which is fine since both en_* locales are English anyway and we use the same lettering.

I see the Welcome spoke
Comment 47 drago01 2013-09-01 04:32:26 EDT
Just booted the boot.iso image in a boxes VM 

cmdline:        /usr/bin/python  /sbin/anaconda
cmdline_file:   initrd=initrd.img inst.stage2=hd:LABEL=Fedora\x2020\x20x86_64 rd.live.check quiet BOOT_IMAGE=vmlinuz 
hashmarkername: anaconda
kernel:         3.11.0-0.rc7.git3.1.fc20.x86_64
package:        anaconda-20.9-1
product:        Fedora
reason:         TypeError: Argument 2 does not allow None as a value
release:        Cannot get release name.
version:        20
Comment 48 Steve Tyler 2013-09-04 17:36:24 EDT
Boot F20-Alpha-TC3 DVD.
Set "inst.lang=en_GB" on kernel command line.

cmdline:        /usr/bin/python  /sbin/anaconda
cmdline_file:   initrd=initrd.img inst.stage2=hd:LABEL=Fedora\x2020-Alpha-TC3\x20x86_64 inst.lang=en_GB BOOT_IMAGE=vmlinuz 
hashmarkername: anaconda
kernel:         3.11.0-0.rc7.git5.1.fc20.x86_64
package:        anaconda-20.9-1
product:        Fedora
reason:         TypeError: Argument 2 does not allow None as a value
release:        Cannot get release name.
version:        20-Alpha-TC3
Comment 49 Steve Tyler 2013-09-04 17:39:55 EDT
(In reply to Steve Tyler from comment #48)
> Boot F20-Alpha-TC3 DVD.
> Set "inst.lang=en_GB" on kernel command line.
> 
> cmdline:        /usr/bin/python  /sbin/anaconda
> cmdline_file:   initrd=initrd.img
> inst.stage2=hd:LABEL=Fedora\x2020-Alpha-TC3\x20x86_64 inst.lang=en_GB
> BOOT_IMAGE=vmlinuz 
> hashmarkername: anaconda
> kernel:         3.11.0-0.rc7.git5.1.fc20.x86_64
> package:        anaconda-20.9-1
> product:        Fedora
> reason:         TypeError: Argument 2 does not allow None as a value
> release:        Cannot get release name.
> version:        20-Alpha-TC3

The F20-Alpha-TC3 DVD has anaconda 20.9-1, not 20.10-1:

https://fedorahosted.org/rel-eng/ticket/5745#comment:9
Comment 50 Tim Flink 2013-09-09 19:19:18 EDT
(In reply to Steve Tyler from comment #49)

> The F20-Alpha-TC3 DVD has anaconda 20.9-1, not 20.10-1:
> 
> https://fedorahosted.org/rel-eng/ticket/5745#comment:9

this should be fixed in both TC4 and TC5, though. moving to ON_QA
Comment 51 Kamil Páral 2013-09-10 04:47:28 EDT
I tried to export LANG (and LC_ALL) to en_GB.UTF-8 on TC5 Live, and to set inst.lang=en_GB on TC5 DVD, everything works fine (anaconda start). Setting to VERIFIED until anaconda 20.12 hits stable.
Comment 52 Fedora End Of Life 2015-05-29 05:20:41 EDT
This message is a reminder that Fedora 20 is nearing its end of life.
Approximately 4 (four) weeks from now Fedora will stop maintaining
and issuing updates for Fedora 20. It is Fedora's policy to close all
bug reports from releases that are no longer maintained. At that time
this bug will be closed as EOL if it remains open with a Fedora  'version'
of '20'.

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, simply change the 'version' 
to a later Fedora version.

Thank you for reporting this issue and we are sorry that we were not 
able to fix it before Fedora 20 is end of life. If you would still like 
to see this bug fixed and are able to reproduce it against a later version 
of Fedora, you are encouraged  change the 'version' to a later Fedora 
version prior this bug is closed as described in the policy above.

Although we aim to fix as many bugs as possible during every release's 
lifetime, sometimes those efforts are overtaken by events. Often a 
more recent Fedora release includes newer upstream software that fixes 
bugs or makes them obsolete.

Note You need to log in before you can comment on or make changes to this bug.